API Reference
Go to zen.comGo to myZEN.com
Documentation
Documentation
  • Sandbox
  • Plugin integration
  • Checkout integration
  • API business
  • Merchant panel
  • Brandbook
  • API transfers
Go to zen.comGo to myZEN.com
Documentation
Documentation
  • Sandbox
  • Plugin integration
  • Checkout integration
  • API business
  • Merchant panel
  • Brandbook
  • API transfers
  1. authorization
  • Introduction
  • Authentication & authorization
  • Environments
  • Transaction statuses
  • Notifications
  • Response codes
  • Error codes
  • purchase
    • Create transaction
    • Capture transaction
    • Transaction details using ZEN id
    • Transaction details using merchantTransactionId
    • Cancel transaction
    • Renew authorization
    • Validate ApplePay session
    • Calculate cashback
  • refund
    • Create transaction
  • payout
    • Create transaction
    • Transaction details using ZEN id
    • Transaction details using merchantTransactionId
    • Capture transaction
    • Cancel transaction
    • Renew transaction
    • Transaction details using ZEN id
    • Refresh transaction offers
    • Select transaction offer
  • payment-methods
    • Returns information about payment methods
    • Returns information about payment methods
  • payment-links
    • Create payment link
    • Fetch payment links list
    • Fetch payment link
    • Update payment link
  • customers
    • Create customer
    • Remove customer
    • Add customer recipient
    • Add payout card
    • Remove payout card
    • Fetch payout card list
    • Update payout card details
    • Fetch customer
    • Fetch card
    • Update card details
    • Remove card
    • Fetch card list
    • Fetch customer recipient list
    • Fetch customer recipient
    • Update customer details recipient
    • Remove customer recipient
    • Add customer payout card
    • Fetch saved payout card V3
    • Removes customer saved payout card V3
    • Fetch blik paymentTokens list
    • Remove Blik paymentToken
    • Fetch Blik paymentToken
    • Fetch saved merchant customer payout recipient list V3
    • Verify merchant's customer payout recipient card
    • Fetch saved merchant customer's payout card V3
    • Update merchant payout card alias
    • Removes merchant customer payout card.
  • authorization
    • Calculate authorization amount
      POST
    • Calculate reversed authorization amount
      POST
  • reports
    • Download report file
  1. authorization

Calculate authorization amount

POST
https://api.zen.com/v1/authorization/calculate
Authorization parameter is used in a couple of processes in ZEN. In this case for authorization fee process (allows to charging of transaction costs to the customer) and DCC (dynamic currency change) process.
To use authorizationfee parameter Merchant has to have feature activated. Then, it is possible to display the commission amount on the checkout, which will be charged to the customer for processing the transaction. The amount charged to the customer (added to the base transaction amount) will be returned to the Merchant. The parameter authorizationfee does not exclude charging the fee to the Merchant for processing the transaction.
It is possible to set authorizationfee parameter for one, some or all payment channels.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Basic Auth
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
or
Header Params

Body Params application/jsonRequired

Example
{
    "merchantTransactionId": "string",
    "amount": "string",
    "currency": "string",
    "authorizationCurrency": "string",
    "transactionType": "TRT_PURCHASE",
    "ip": "127.0.0.1",
    "data": [
        {
            "routingCode": "GCVPLA219",
            "paymentMethod": "PME_CARD",
            "paymentChannel": "PCL_CARD",
            "cardOrganization": "COR_VISA",
            "cardBin": "string",
            "cardId": "f16ba382-eb42-481a-b08f-c57bdc9aae24"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.zen.com/v1/authorization/calculate' \
--header 'request-id;' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "merchantTransactionId": "string",
    "amount": "string",
    "currency": "string",
    "authorizationCurrency": "string",
    "transactionType": "TRT_PURCHASE",
    "ip": "127.0.0.1",
    "data": [
        {
            "routingCode": "GCVPLA219",
            "paymentMethod": "PME_CARD",
            "paymentChannel": "PCL_CARD",
            "cardOrganization": "COR_VISA",
            "cardBin": "string",
            "cardId": "f16ba382-eb42-481a-b08f-c57bdc9aae24"
        }
    ]
}'

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Example
[
    {
        "paymentMethod": "string",
        "maxFee": "string",
        "channels": [
            {
                "paymentChannel": "string",
                "cardOrganizations": [
                    {
                        "cardId": "string",
                        "organization": "string",
                        "authorization": {
                            "fee": "string",
                            "amount": "string",
                            "baseAmount": "string",
                            "currency": "string",
                            "rate": "string",
                            "rateExpireAt": "string"
                        }
                    }
                ],
                "authorization": {
                    "fee": "string",
                    "amount": "string",
                    "baseAmount": "string",
                    "currency": "string",
                    "rate": "string",
                    "rateExpireAt": "string"
                }
            }
        ]
    }
]
🟠404Record Not Found
🟠422
🔴500
Modified at 2026-07-29 09:41:49
Previous
Removes merchant customer payout card.
Next
Calculate reversed authorization amount